unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, StdCtrls;

type
  TForm3 = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    Edit16: TEdit;
    Edit17: TEdit;
    Edit18: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit4;

{$R *.dfm}
Var
var1, var2: string;
result: real;
outfile: textfile;

procedure TForm3.Button1Click(Sender: TObject);
var
goed: integer;
Fout: integer;

begin
goed:= 0;
fout:= 0;
 if (edit10.text = 'huiskat') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit11.text = 'allebei') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit12.text = 'kattenfamilie') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit13.text = 'horen') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit14.text = 'symbool') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit15.text = 'gevangenschap') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit16.text = 'kunnen') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit17.text = 'leeuw') then
  begin
   goed:= goed + 1;
  end
   else
  begin
   fout:= fout +1;
  end;

 if (edit18.text = 'slapen') then
  begin
   goed:= goed + 1;
   showmessage ('goed gedaan');
  end
   else
  begin
   fout:= fout +1;
  end;

  var2:= 'SPELLEN 2: Uitkomsten ' + edit10.text + ' (huiskat), ' + edit11.text+ ' (allebei), ' + edit12.text + ' (kattenfamilie), '+ edit13.text + ' (horen), ' + edit14.text+ ' (symbool), ' + edit15.text + ' (gevangenschap), ' + edit16.text + ' (kunnen), ' + edit17.text + ' (leeuw), ' + edit18.text + ' (slapen)';
  Assignfile(outfile, 'UitkomstenKind.txt');
  Append(outfile);
  WriteLn(outfile, Var2);
  closefile(outfile);

  result:= (goed / (goed + fout)) * 100;
  Showmessage ('Jij hebt ' + (intToStr(goed)) + ' goed en ' + (IntToStr(fout))+ ' fout!');
  Var1 := '           In totaal '+ IntToStr(goed)+ ' goed en '+IntToStr(fout) +' fout.  RESULT is '+FloatToStr(result)+ '% goed.';

  Assignfile(outfile, 'UitkomstenKind.txt');
  Append(outfile);
  WriteLn(outfile, Var1);
  closefile(outfile);
  form4.show;
end;

end.
